Package com.sas.lsaf.execution.job

## Class ManifestFile

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestFile

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ManifestRepositoryFile`, `ManifestWorkspaceFile`

      public abstract class ManifestFile
      extends java.lang.Object
      implements java.io.Serializable

  The client representation of a file in a job manifest file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestFile​(java.lang.String path, java.lang.String name, java.util.Date lastModified, java.lang.Long size)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getId()` | Gets the unique identifier, if the manifest file is a repository file.
    `java.util.Date` | `getLastModified()` | Gets the date on which the file was last modified.
    `java.lang.String` | `getName()` | Gets the name of the manifest file.
    `java.lang.String` | `getPath()` | Gets the full path to the manifest file, which includes the name.
    `java.lang.Long` | `getSize()` | Gets the size (in bytes) of the manifest file at the time the manifest file was created.
    `java.lang.String` | `getVersion()` | Gets the version, if the manifest file is a repository that is versioned.
    `int` | `hashCode()` |
    `boolean` | `isRepositoryFile()` | Indicates whether the file is a repository file.
    `boolean` | `isWorkspaceFile()` | Indicates whether the file is a workspace file.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestFile

          public ManifestFile​(java.lang.String path,
                              java.lang.String name,
                              java.util.Date lastModified,
                              java.lang.Long size)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the manifest files that are returned by the API.
      Parameters:
        `path` - The full path to the manifest file, which includes the name.
        `name` - The name of the manifest file.
        `lastModified` - The date on which the file was last modified.
        `size` - The size (in bytes) of the file.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the full path to the manifest file, which includes the name.
      Returns:
        The full path.

    - #### getName

          public java.lang.String getName()

      Gets the name of the manifest file.
      Returns:
        The name.

    - #### getSize

          public java.lang.Long getSize()

      Gets the size (in bytes) of the manifest file at the time the manifest file was created.
      Returns:
        The size (in bytes).

    - #### getLastModified

          public java.util.Date getLastModified()

      Gets the date on which the file was last modified.
      Returns:
        The date.

    - #### isRepositoryFile

          public boolean isRepositoryFile()

      Indicates whether the file is a repository file.
      Returns:
        `True`, if the file is a repository file, `False` otherwise.

    - #### isWorkspaceFile

          public boolean isWorkspaceFile()

      Indicates whether the file is a workspace file.
      Returns:
        `True` if the file is a workspace file, `False` otherwise.

    - #### getId

          public java.lang.String getId()

      Gets the unique identifier, if the manifest file is a repository file. Otherwise, returns null.
      Returns:
        The unique identifier, if the manifest file is a repository file. Otherwise, null.

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version, if the manifest file is a repository that is versioned. Otherwise, returns null.
      Returns:
        The version, if the manifest file is a repository that is versioned. Otherwise, null.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`